Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460524 - media-sound/murmur-1.2.4_beta1-r1: ‘MAX’ was not declared in this scope
Summary: media-sound/murmur-1.2.4_beta1-r1: ‘MAX’ was not declared in this scope
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Timo Gurr (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 12:31 UTC by Martin von Gagern
Modified: 2013-06-04 20:27 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (media-sound:murmur-1.2.4_beta1-r1:20130306-113539.log,74.36 KB, text/plain)
2013-03-06 12:31 UTC, Martin von Gagern
Details
emerge --info (media-sound:murmur-1.2.4_beta1-r1.emerge--info,7.22 KB, text/plain)
2013-03-06 12:32 UTC, Martin von Gagern
Details
Woraround (gentoo460524a.patch,555 bytes, patch)
2013-03-06 12:45 UTC, Martin von Gagern
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2013-03-06 12:31:37 UTC
Created attachment 341104 [details]
build log

murmur-1.2.4 fails to (re-)build:

Server.cpp: In member function ‘void Server::udpActivated(int)’:
Server.cpp:553:21: error: ‘MAX’ was not declared in this scope
compilation terminated due to -Wfatal-errors.
make[1]: *** [Server.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/murmur-1.2.4_beta1-r1/work/mumble-1.2.4~beta1/src/murmur'
Comment 1 Martin von Gagern 2013-03-06 12:32:46 UTC
Created attachment 341106 [details]
emerge --info
Comment 2 Martin von Gagern 2013-03-06 12:45:00 UTC
Created attachment 341108 [details, diff]
Woraround

This patch will avoid the issue by providing a MAX macro unless one has already been defined. This avoids the trouble of identifying where the macro might have come from in previous builds or on upstream build systems.

As murmur uses epatch_user, you can simply drop this file into a (newly created) directory called /etc/portage/patches/media-sound/murmur and emerge mumble. This is a quick solution until the issue has been fixed in the main portage tree.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2013-03-07 08:29:54 UTC
Would be nice to know if murmur-1.2.4_rc1 is affected as well.
Comment 4 jannis 2013-03-10 19:00:23 UTC
(In reply to comment #3)
> Would be nice to know if murmur-1.2.4_rc1 is affected as well.

seems to work on my amd64-server
Comment 5 jannis 2013-03-10 19:01:16 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Would be nice to know if murmur-1.2.4_rc1 is affected as well.
> 
> seems to work on my amd64-server

erm sorry, using "1.2.4_beta1-r1" since the _rc1 isn't in tree yet. seems to be related to installed version of protobuf
Comment 6 Timo Gurr (RETIRED) gentoo-dev 2013-03-18 02:26:24 UTC
The latest available snapshot mumble-1.2.4~rc1-8-gb115a29.tar.gz seems to be affected as well. Martin would you please report this upstream to get your fix committed so we can add it to the ebuild as well? Thanks.
Comment 7 Martin von Gagern 2013-03-18 06:44:30 UTC
(In reply to comment #6)
> Martin would you please report this upstream […]

Reported at https://github.com/mumble-voip/mumble/pull/153
Comment 8 Martin von Gagern 2013-03-18 20:46:01 UTC
Fix committed upstream as https://github.com/mumble-voip/mumble/commit/5aec9c6403d6bc65f957ee1648e6848f2287f670
Comment 9 Timo Gurr (RETIRED) gentoo-dev 2013-06-04 20:27:36 UTC
(In reply to Martin von Gagern from comment #8)
> Fix committed upstream as
> https://github.com/mumble-voip/mumble/commit/
> 5aec9c6403d6bc65f957ee1648e6848f2287f670

Thanks for taking care of this! Version 1.2.4 including the fix is now in CVS.